config/routes.rb
Rails.application.routes.draw do
  resources :dairy_details
  root 'dashboard#index'
  devise_for :users
  resources :customer_payments
  resources :rate_charts
  resources :daily_collections do
    collection do
      get 'payment_register'
      get 'daily_report'
    end
  end
  resources :customers

  get 'rate_by_snf_and_fat', to: 'rate_charts#rate_by_snf_and_fat'
  # For details on the DSL available within this file, see http://guides.rubyonrails.org/routing.html
end

app/views/layouts/application.html.erb
<!DOCTYPE html>
<html lang="en">

<head>
  <!-- Required meta tags -->
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <title>Dashboard</title>
  <%= csrf_meta_tags %>
  <%= csp_meta_tag %>

  <script src="https://ajax.googleapis.com/ajax/libs/jquery/1.11.2/jquery.min.js"></script>
  <script src="https://unpkg.com/popper.js/dist/umd/popper.min.js"></script>
  <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/js/bootstrap.min.js" integrity="sha384-ChfqqxuZUCnJSK3+MXmPNIyE6ZbWh2IMqE241rYiqJxyMiZ6OW/JmZQ5stwEULTy" crossorigin="anonymous"></script>
  <%= javascript_include_tag "//www.google.com/jsapi", "chartkick" %>
  <%= stylesheet_link_tag    'application', media: 'all', 'data-turbolinks-track': 'reload' %>
  <%= javascript_include_tag 'application', 'data-turbolinks-track': 'reload' %>
  <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/css/bootstrap.min.css" integrity="sha384-MCw98/SFnGE8fJT3GXwEOngsV7Zt27NXFoaoApmYm81iuXoPkFOJwJ8ERdknLPMO" crossorigin="anonymous">
  <link href="https://stackpath.bootstrapcdn.com/font-awesome/4.7.0/css/font-awesome.min.css" rel="stylesheet" integrity="sha384-wvfXpqpZZVQGK6TAh5PVlGOfQNHSoD2xbE+QkPxCAFlNEevoEH3Sl0sibVcOQVnN" crossorigin="anonymous">
  <link rel="stylesheet" type="text/css" href="https://cdn.datatables.net/v/bs4/dt-1.10.18/r-2.2.2/datatables.min.css"/>
  <script type="text/javascript" src="https://cdn.datatables.net/v/bs4/dt-1.10.18/r-2.2.2/datatables.min.js"></script>


  <!-- Latest compiled and minified CSS -->
  <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-select/1.13.2/css/bootstrap-select.min.css">

  <!-- Latest compiled and minified JavaScript -->
  <script src="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-select/1.13.2/js/bootstrap-select.min.js"></script>


  <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/toastr.js/latest/css/toastr.min.css" />
  <script src="https://cdnjs.cloudflare.com/ajax/libs/toastr.js/latest/js/toastr.min.js"></script>

</head>

<body id="page-top">
  <nav class="navbar navbar-expand-lg navbar-light bg-light">
    <a class="navbar-brand" href="<%= root_path %>">ShivKrupa Dairy</a>
    <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
      <span class="navbar-toggler-icon"></span>
    </button>
    <% if user_signed_in? %>
      <div class="collapse navbar-collapse" id="navbarSupportedContent">
      <ul class="navbar-nav mr-auto">
        <li class="nav-item dropdown">
          <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
            Customers
          </a>
          <div class="dropdown-menu" aria-labelledby="navbarDropdown">
            <%= link_to 'Add New Customer', new_customer_path, class: 'nav-link' %>
            <%= link_to 'Customers', customers_path, class: 'nav-link'  %>
            <%= link_to 'Payments', customer_payments_path, class: 'nav-link'  %>
          </div>

        </li>
        <li class="nav-item">
        <li class="nav-item dropdown">
          <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
            Milk Menu
          </a>
          <div class="dropdown-menu" aria-labelledby="navbarDropdown">
            <%= link_to 'Milk Collection', new_daily_collection_path, class: 'nav-link'  %>
            <%= link_to 'Payment Register', payment_register_daily_collections_path, class: 'nav-link'  %>
            <%= link_to 'Daily Report', daily_report_daily_collections_path, class: 'nav-link'  %>
            <%= link_to 'Total Collection', daily_collections_path, class: 'nav-link'  %>
          </div>
        </li>
        <li class="nav-item dropdown">
          <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
            Rate Charts
          </a>
          <div class="dropdown-menu" aria-labelledby="navbarDropdown">
            <%= link_to 'COW', rate_charts_path(cattle_type: 'COW'), class: 'dropdown-item'  %>
            <%= link_to 'BUFFALO', rate_charts_path(cattle_type: 'BUFFALO'), class: 'dropdown-item'  %>
            <%= link_to 'Add New Chart', new_rate_chart_path, class: 'dropdown-item'  %>
          </div>
        </li>
        <% unless current_user.has_role? :editor %>
          <li class="nav-item">
            <%= link_to 'Dairy Details', dairy_details_path, class: 'nav-link' %>
          </li>
        <% end %>
      </ul>

      <form class="form-inline my-2 my-lg-0" action="<%= customers_path %>" onSubmit="return false" name="myform2">
        <input class="form-control mr-sm-2" type="search" placeholder="Search" aria-label="Search" name="customer_name">
        <button class="btn btn-outline-success my-2 my-sm-0" type="submit" onClick="document.myform2.submit()">Search</button>
      </form>

      <ul class="navbar-nav">
        <li class="nav-item">
          <%= link_to 'Logout', destroy_user_session_path, method: :delete, class: 'nav-link' %>
        </li>
      </ul>
    </div>
    <% end %>
  </nav>
  <div style="margin: 20px 1rem;">
    <div class="center">
      <% unless flash.empty? %>
        <script type="text/javascript">
            <% flash.each do |f| %>
            <% type = f[0].to_s.gsub('alert', 'error').gsub('notice', 'success') %>
            toastr['<%= type %>']('<%= f[1] %>');
            <% end %>
        </script>
      <% end %>

      <%= yield %>
    </div>
  </div>

  <script src="//cdnjs.cloudflare.com/ajax/libs/bootstrap-select/1.6.3/js/bootstrap-select.min.js"></script>

</body>

</html>

app/views/layouts/pdf.html.erb
<!DOCTYPE html>
<html>
<head>
  <meta http-equiv="content-type" content="text/html; charset=utf-8"/>
  <meta http-equiv="X-UA-Compatible" content="IE=Edge,chrome=1">
  <%= wicked_pdf_stylesheet_link_tag 'application' %>
</head>

<body>
<div id="content">
  <%= yield %>
</div>
</body>

</html>